export declare class BaseApi {
    headers: any;
    settings: any;
    routes: {};
    baseUrl: string;
    idField: string;
    requestCredentials: string;
    corsMode: string;
    cachePolicy: string;
    credentials: any;
    entities: any;
    hasDebugger: boolean;
    constructor();
    init(settings: any): void;
    route(url: string): string;
    post(path: any, data: any): Promise<any>;
    get(path: string, params?: any): Promise<any>;
    patch(path: any, id: any, data: any): Promise<void>;
    delete(path: any, id: any): Promise<void>;
    login(username: string, password: string): void;
    logout(namespace?: string, refresh?: boolean): void;
    setCredentials(credentials: any, namespace?: string): void;
    getCredentials(namespace?: string): any;
    clearCredentials(namespace?: string): void;
    initApiRoutes(routes: any): void;
    errorHandler(error: any): void;
    saveLocalResource(resource: any): void;
    loadLocalResource(ID: any): void;
    flushLocalResource(ID: any): void;
}
